.custom-options-wrapper.open {
  display: flex;
}

.custom-options-wrapper {
  --max-rows: 6;
  --padding: var(--space-24);
  --gap: var(--space-24);
  position: absolute;

  width: max-content;
  min-width: 100%;
  max-height: calc(
    var(--body-small) * 1.4 * var(--max-rows) + var(--padding) * 2 + var(--gap) * var(--max-rows)
  );

  border-radius: var(--border-radius-2);

  display: none;

  z-index: var(--z-index-100);
  top: calc(100% + var(--space-16));
  left: 0;
  overflow: hidden;
}

.custom-options-border-box {
  background: var(--options-gradient);
  -webkit-backdrop-filter: blur(15px);
  backdrop-filter: blur(15px);

  border-image-source: var(--options-border-gradient);

}

.custom-options {
  width: max-content;
  min-width: 100%;
  height: max-content;
  max-height: calc(
    var(--body-small) * 1.4 * var(--max-rows) + var(--padding) * 2 + (var(--gap) * (var(--max-rows) - 1))
  );

  display: none;
  flex-direction: column;
  align-items: flex-start;

  gap: var(--gap);

  box-sizing: border-box;

  background: transparent;

  border-radius: var(--border-radius-2);

  overflow-y: auto;

  padding: var(--padding);
}

.custom-options-wrapper.white .custom-options-border-box {
  border-image-source: var(--options-border-gradient-light);
  background: var(--extra-white);
  box-shadow: 0px 0px 15px 0px #0000001a;

  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
}

.custom-options.open {
  display: flex;
}

.custom-option {
  width: 100%;
  cursor: pointer;
  color: var(--extra-white);
  text-transform: none;
  text-align: start;
  transition: all 0.3 ease-in-out;
}

.custom-option:hover {
  color: red !important;
}

.custom-options-wrapper.white .custom-option {
  color: var(--dark-blue);
  font-weight: 200 !important;
}

.custom-option.selected {
  color: red !important;
}

@media (max-width: 1440px) {
  .custom-options-wrapper {
    --padding: var(--space-20);
    --gap: var(--space-20);
  }
}
